Subject: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Kenichi Handa <[email-masked]>
Date: Mon, 26 Sep 2011 16:08:59 +0900

In article <[email-masked]>, Jambunathan K <[email-masked]> writes:

> > Ah, I forgot about my patch.

> Yes, there is a pending patch.

I've just asked the Emacs maintainers about the patch.  As
we are already in a feature freeze mode, it's upto the
maintainers whether to include the patch in the next release
or not.

> I have made some changes - presentation-wise - on top of your changes. I
> have attached 3 screenshots that demonstrates the changes that I have
> made [1]. FYI, my FSF copyright assignment number for Emacs is #618390.

With your patch, the table of the third section (Others)
doesn't fit in 80-column with my font setting.  So, I
slightly changed the :align-to property.  Please check the
attached version (full leim/quail/indian.el) with your
environment.

By the way,

> + ta-itrans-1.png
>   - I have introduced horizontal grid lines

>   - I have added #0BB6 to the table. The character has no input method
>     available. So the input row is left empty.

>     Note: Furthermore, the associated glyphs are not available. (I have
>     Tamil Lohit 2.4.5 - Thanks for suggesting this font!). So the tamil
>     characters in that row looks malformed.

That's strange.  My Tamil Lohit font is Version 2.4.4 (older
than yours), and it displays the line for #0BB6 correctly.

> [2] Additional hacks to quail.el

> + ta-itrans-3.png
>   - Removed the old table (about which I had complaints). I don't know
>     how to do this cleanly. Here is a quick hack I cooked up (marked
>     with @@@)

The old table (full key sequence) contains the keys that are
not shown in the above tables; i.e. such alternate keys as
"aa", "~Na".  Are they really not necessary.

And, even if not necessary, the current code doesn't have a
mechanism to suppress it, and adding such a mechanism should
not be done now.  I'll put that matter in my todo list.

>   - Place the cursor at the BEGINNING of help buffer rather than the end
>     of it. There are more interesting things at the beginning of the
>     buffer than the end of the buffer.

> ,---- In quail.el (around line 2575)
> |       ;; Resize the help window again, now that it has all its contents.
> |       (save-selected-window
> |@@@ 	(goto-char (point-min))
> |  	(select-window (get-buffer-window (current-buffer) t))
> | 	(run-hooks 'temp-buffer-show-hook))
> `----

I don't understand why this is necessary.  Doesn't C-h C-\
tamil-itrans RET shows the top of *Help* buffer?

---
Kenichi Handa
[email-masked]